<< besselap | FOSSEE_Signal_Processing_Toolbox | bilinear >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > besself

# besself

Design a Bessel filter.

### Syntax

    [b, a] = besself(n, Wc)
    [b, a] = besself(n, Wc, "high")
    [b, a] = besself(n, [Wl, Wh])
    [b, a] = besself(n, [Wl, Wh], "stop")
    [z, p, g] = besself(...)
    [...] = besself(..., "z")

### Parameters

n:

  Positive integer. Order of the filter.

Wc:

  Positive real value. Analog or normalized digital 3dB cutoff frequency/frequencies.

z:

  Zeros of the filter.

p:

  Poles of the filter.

g:

  Gain of the filter.

### Description

This function generates a Bessel filter. The default is an analog filter in Laplace space (s). If the second argument is scalar, the third parameter specifies "high" or "low" (default is "low"). If the second argument is a vector of length 2 ([Wl, Wh]), the third parameter specifies "pass" (default) or "stop" for bandpass and band reject filters, respectively.

### Examples

    [b, a] = besself(2, 0.3, "high", "z")

### See also

- besselap — Generate a Bessel analog filter prototype.
- bilinear — Transform an s-plane filter (analog) into a z-plane filter (digital) using the bilinear transformation.
- sftrans — Transform band edges of a prototype filter (cutoff at W=1) represented in s-plane zero-pole-gain form (Frequency Transformation in Analog domain).
- zp2tf — Converts zeros / poles to a transfer function.

Report an issue
<< besselap | FOSSEE_Signal_Processing_Toolbox | bilinear >>